aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-12-26 00:07:06 +1300
committerTom Ryder <tom@sanctum.geek.nz>2016-12-26 00:07:06 +1300
commitbad56daac822acf72a900ba23c83d7b5f7365341 (patch)
treed0e5a2e05df721757d035e58a9b42d1fbf95ca88
parentMerge branch 'master' into openbsd (diff)
parentIgnore stderr from manpath(1) check (diff)
downloaddotfiles-bad56daac822acf72a900ba23c83d7b5f7365341.tar.gz
dotfiles-bad56daac822acf72a900ba23c83d7b5f7365341.zip
Merge branch 'master' into port/bsd/openbsd
-rw-r--r--bash/bash_completion.d/man.bash2
-rw-r--r--sh/shrc.d/ed.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/bash/bash_completion.d/man.bash b/bash/bash_completion.d/man.bash
index efc93153..f779d203 100644
--- a/bash/bash_completion.d/man.bash
+++ b/bash/bash_completion.d/man.bash
@@ -2,7 +2,7 @@
_man() {
# Don't even bother if we don't have manpath(1)
- hash manpath || return 1
+ hash manpath 2>/dev/null || return 1
# Snarf the word
local word
diff --git a/sh/shrc.d/ed.sh b/sh/shrc.d/ed.sh
index 6e5ecd3b..d7d3fa2f 100644
--- a/sh/shrc.d/ed.sh
+++ b/sh/shrc.d/ed.sh
@@ -17,7 +17,7 @@ ed() {
# Run in rlwrap(1) if available
set -- ed "$@"
command -v rlwrap >/dev/null 2>&1 &&
- set -- rlwrap "$@"
+ set -- rlwrap --history-filename=/dev/null "$@"
# Run determined command
command "$@"